Bug 181793 - add MCP51/ NVidia 430 IDE support
add MCP51/ NVidia 430 IDE support
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
http://atoomnet.net/nforce_430_mcp51_...
:
Depends On:
Blocks: 181409 191249
  Show dependency treegraph
 
Reported: 2006-02-16 11:44 EST by Marc Ketel
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 18:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mcp51.patch: adds MCP51 IDE support to 2.6.9-22.0.2.EL kernel (2.29 KB, patch)
2006-02-16 11:44 EST, Marc Ketel
no flags Details | Diff
jwltest-mcp51-ide.patch (1.21 KB, patch)
2006-02-16 16:20 EST, John W. Linville
no flags Details | Diff
jwltest-mcp51-pci-ids.patch (555 bytes, patch)
2006-02-16 16:21 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Marc Ketel 2006-02-16 11:44:41 EST
Communication from me and John Linville:

On Mon, Feb 13, 2006 at 07:41:55PM +0100, Marc Ketel wrote:


>> I have made myself a small patch for the 2.6.9-22.0.2 kernel from the 
>> original mcp51 patch:
>>
http://www.kernel.org/hg/linux-2.6/?cmd=changeset;node=14131eb05754236c5ba6d94cfbb8eb67e264c5cb
>> 
>> It makes IDE support better on the mcp51 type hardware.
>> 
>> It seems to work on my es4 box.


Marc,

Thanks for the patch!  I'm happy to take it into my test kernels and
to champion it for RHEL4.  But, I need a little more of your help.
Would you mind opening a bugzilla for this issue?

Please open a bugzilla and let me know what its number is (or assign
it to me).  Thanks!

	http://bugzilla.redhat.com

John

P.S.  Go ahead and attach your patch to the bugzilla as well!
-- John W. Linville linville@redhat.com 


Extra info: this patch is now working on my ASUS A8N-VM CSM motherboard with an
AMD64 3500+ (in 32 bits mode).
Comment 1 Marc Ketel 2006-02-16 11:44:41 EST
Created attachment 124767 [details]
mcp51.patch: adds MCP51 IDE support to 2.6.9-22.0.2.EL kernel
Comment 2 John W. Linville 2006-02-16 16:20:30 EST
Created attachment 124786 [details]
jwltest-mcp51-ide.patch
Comment 3 John W. Linville 2006-02-16 16:21:11 EST
Created attachment 124787 [details]
jwltest-mcp51-pci-ids.patch
Comment 4 John W. Linville 2006-02-16 16:23:09 EST
Test kernels w/ the above patches are available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please give them a try and post the results here...thanks! 
Comment 5 Marc Ketel 2006-02-17 03:05:30 EST
I can confirm the box booted successfully with your kernel
(kernel-2.6.9-32.EL.jwltest.115.i686) and is working correctly.

I will let this box run for a few weeks and see if it keeps running. I keep you
posted.
Comment 6 Joe Pruett 2006-02-20 11:19:34 EST
given how late this bug was created, i doubt this is going to make it into
update 3, is it?
Comment 7 John W. Linville 2006-02-20 11:35:25 EST
No, this is far too late for U3. 
Comment 9 Marc Ketel 2006-03-09 14:41:41 EST
Hi John,

It seems that the patch is working fine. The machine is working nonstop without
trouble.
Comment 10 Jason Baron 2006-03-17 11:51:54 EST
committed in stream U4 build 34.4. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 16 Red Hat Bugzilla 2006-08-10 18:19:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html

Note You need to log in before you can comment on or make changes to this bug.